#!/usr/bin/env python3

"""
A program that loads integers until a zero is loaded and than prints
the maximum among them and which one was it (not taking the zero
into the account).
If there is more than one maximum, it prints the last one among them.
"""

n = int(input("Please type a number (zero to quit): "))
current_which = 0

max_number = None
max_which = None

while n != 0:
    current_which += 1
    if max_number is None or n > max_number:
        max_number = n
        max_which = current_which
    n = int(input("Please type a number (zero to quit): "))

if current_which > 0:
    print("The maximum number is #" + str(max_which) + " and its value is " + str(max_number) + ".")
else:
    print("The maximum does not exist (there were no numbers given).")

