#!/usr/bin/env python3

"""
A program that loads a natural number `n` and then loads `n` integers.
The program then prints the sum of the maximum digits of all the loaded numbers.
If a number has multiple maximum digits, they are still taken into the sum
only once (1777 only adds 7 to the sum, not 7+7+7).
"""

n = int(input("n = "))

sum_ = 0

for k in range(n):
    x = abs(int(input("Type an integer #" + str(k+1) + ": ")))
    md = 0
    while x > 0:
        digit = x % 10
        x //= 10
        if digit > md:
            md = digit
    sum_ += md

print("The required sum:", sum_)

