#!/usr/bin/env python3

"""
A program that loads a natural number `n` and then loads `n` integers.
The program then prints the sum of the maximum digits of all the loaded numbers.
If a number has multiple maximum digits, they are taken into the sum as many
times as they appear (1777 adds 7+7+7 to the sum, not only 7).
"""

n = int(input("n = "))

sum_ = 0

for k in range(n):
    x = abs(int(input("Type an integer #" + str(k+1) + ": ")))
    md = 0
    cnt = 0  # how many times has the current maximum digit appeared
    while x > 0:
        digit = x % 10
        x //= 10
        if digit > md:
            md = digit
            cnt = 1  # For a new `md`, reset the counter to 1
        elif digit == md:
            cnt += 1  # We found one more digit equal to `md`
    sum_ += cnt * md

print("The required sum:", sum_)

